diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/sixlowpan/model/sixlowpan-net-device.cc ns-3.35/src/sixlowpan/model/sixlowpan-net-device.cc
--- ns-3.34/src/sixlowpan/model/sixlowpan-net-device.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/sixlowpan/model/sixlowpan-net-device.cc	2021-10-01 13:26:48.000000000 -0700
@@ -731,7 +731,7 @@
 
       uint8_t bufOne[16];
       uint8_t bufTwo[16];
-      Ipv6Address srcAddr = ipHeader.GetSourceAddress ();
+      Ipv6Address srcAddr = ipHeader.GetSource ();
       srcAddr.GetBytes (bufOne);
       Ipv6Address mySrcAddr = Ipv6Address::MakeAutoconfiguredLinkLocalAddress (src);
 
@@ -761,7 +761,7 @@
           hc1Header.SetSrcPrefix (bufOne);
         }
 
-      Ipv6Address dstAddr = ipHeader.GetDestinationAddress ();
+      Ipv6Address dstAddr = ipHeader.GetDestination ();
       dstAddr.GetBytes (bufOne);
       Ipv6Address myDstAddr = Ipv6Address::MakeAutoconfiguredLinkLocalAddress (dst);
 
@@ -847,7 +847,7 @@
           address[j + 8] = interface[j];
           address[j] = prefix[j];
         }
-      ipHeader.SetSourceAddress ( Ipv6Address (address) );
+      ipHeader.SetSource ( Ipv6Address (address) );
       break;
     case SixLowPanHc1::HC1_PIIC:
       prefix = encoding.GetSrcPrefix ();
@@ -856,7 +856,7 @@
           address[j + 8] = 0;
           address[j] = prefix[j];
         }
-      ipHeader.SetSourceAddress (Ipv6Address::MakeAutoconfiguredAddress (src, Ipv6Address (address)));
+      ipHeader.SetSource (Ipv6Address::MakeAutoconfiguredAddress (src, Ipv6Address (address)));
       break;
     case SixLowPanHc1::HC1_PCII:
       interface = encoding.GetSrcInterface ();
@@ -866,10 +866,10 @@
         {
           address[j + 8] = interface[j];
         }
-      ipHeader.SetSourceAddress ( Ipv6Address (address) );
+      ipHeader.SetSource ( Ipv6Address (address) );
       break;
     case SixLowPanHc1::HC1_PCIC:
-      ipHeader.SetSourceAddress (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (src));
+      ipHeader.SetSource (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (src));
       break;
     }
 
@@ -887,7 +887,7 @@
           address[j + 8] = interface[j];
           address[j] = prefix[j];
         }
-      ipHeader.SetDestinationAddress ( Ipv6Address (address) );
+      ipHeader.SetDestination ( Ipv6Address (address) );
       break;
     case SixLowPanHc1::HC1_PIIC:
       prefix = encoding.GetDstPrefix ();
@@ -896,7 +896,7 @@
           address[j + 8] = 0;
           address[j] = prefix[j];
         }
-      ipHeader.SetDestinationAddress (Ipv6Address::MakeAutoconfiguredAddress (dst, Ipv6Address (address)));
+      ipHeader.SetDestination (Ipv6Address::MakeAutoconfiguredAddress (dst, Ipv6Address (address)));
       break;
     case SixLowPanHc1::HC1_PCII:
       interface = encoding.GetDstInterface ();
@@ -906,10 +906,10 @@
         {
           address[j + 8] = interface[j];
         }
-      ipHeader.SetDestinationAddress ( Ipv6Address (address) );
+      ipHeader.SetDestination ( Ipv6Address (address) );
       break;
     case SixLowPanHc1::HC1_PCIC:
-      ipHeader.SetDestinationAddress (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (dst));
+      ipHeader.SetDestination (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (dst));
       break;
     }
 
@@ -1048,7 +1048,7 @@
       // This is just to limit the scope of some variables.
       if (true)
         {
-          Ipv6Address srcAddr = ipHeader.GetSourceAddress ();
+          Ipv6Address srcAddr = ipHeader.GetSource ();
           uint8_t srcContextId;
 
           // The "::" address is compressed as a fake stateful compression.
@@ -1132,7 +1132,7 @@
         }
 
       // Set the M field
-      if (ipHeader.GetDestinationAddress ().IsMulticast ())
+      if (ipHeader.GetDestination ().IsMulticast ())
         {
           iphcHeader.SetM (true);
         }
@@ -1144,7 +1144,7 @@
       // This is just to limit the scope of some variables.
       if (true)
         {
-          Ipv6Address dstAddr = ipHeader.GetDestinationAddress ();
+          Ipv6Address dstAddr = ipHeader.GetDestination ();
           dstAddr.GetBytes (addressBuf);
 
           NS_LOG_LOGIC ("Checking destination compression: " << dstAddr );
@@ -1348,7 +1348,7 @@
       // Source address compression uses stateful, context-based compression.
       if ( encoding.GetSam () == SixLowPanIphc::HC_INLINE )
         {
-          ipHeader.SetSourceAddress ( Ipv6Address::GetAny () );
+          ipHeader.SetSource ( Ipv6Address::GetAny () );
         }
       else
         {
@@ -1398,7 +1398,7 @@
               uint8_t prefixBitMask = ~addressBitMask;
               srcAddress[bytesToCopy] = (contexPrefix[bytesToCopy] & prefixBitMask) | (srcAddress[bytesToCopy] & addressBitMask);
             }
-          ipHeader.SetSourceAddress ( Ipv6Address::Deserialize (srcAddress) );
+          ipHeader.SetSource ( Ipv6Address::Deserialize (srcAddress) );
         }
     }
   else
@@ -1409,7 +1409,7 @@
         {
           uint8_t srcAddress[16] = { };
           memcpy (srcAddress, encoding.GetSrcInlinePart (), 16);
-          ipHeader.SetSourceAddress ( Ipv6Address::Deserialize (srcAddress) );
+          ipHeader.SetSource ( Ipv6Address::Deserialize (srcAddress) );
         }
       else if ( encoding.GetSam () == SixLowPanIphc::HC_COMPR_64 )
         {
@@ -1417,7 +1417,7 @@
           memcpy (srcAddress +8, encoding.GetSrcInlinePart (), 8);
           srcAddress[0] = 0xfe;
           srcAddress[1] = 0x80;
-          ipHeader.SetSourceAddress ( Ipv6Address::Deserialize (srcAddress) );
+          ipHeader.SetSource ( Ipv6Address::Deserialize (srcAddress) );
         }
       else if ( encoding.GetSam () == SixLowPanIphc::HC_COMPR_16 )
         {
@@ -1427,11 +1427,11 @@
           srcAddress[1] = 0x80;
           srcAddress[11] = 0xff;
           srcAddress[12] = 0xfe;
-          ipHeader.SetSourceAddress ( Ipv6Address::Deserialize (srcAddress) );
+          ipHeader.SetSource ( Ipv6Address::Deserialize (srcAddress) );
         }
       else // SixLowPanIphc::HC_COMPR_0
         {
-          ipHeader.SetSourceAddress (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (src));
+          ipHeader.SetSource (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (src));
         }
     }
   // Destination address
@@ -1495,7 +1495,7 @@
               uint8_t prefixBitMask = ~addressBitMask;
               dstAddress[bytesToCopy] = (contexPrefix[bytesToCopy] & prefixBitMask) | (dstAddress[bytesToCopy] & addressBitMask);
             }
-          ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+          ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
         }
       else
         {
@@ -1507,7 +1507,7 @@
           dstAddress[3] = contextLength;
           memcpy (dstAddress +4, contexPrefix, 8);
           memcpy (dstAddress +12, encoding.GetDstInlinePart ()+2, 4);
-          ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+          ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
         }
     }
   else
@@ -1520,7 +1520,7 @@
              {
                uint8_t dstAddress[16] = { };
                memcpy (dstAddress, encoding.GetDstInlinePart (), 16);
-               ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+               ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
              }
           else if ( encoding.GetDam () == SixLowPanIphc::HC_COMPR_64 )
             {
@@ -1528,7 +1528,7 @@
               memcpy (dstAddress +8, encoding.GetDstInlinePart (), 8);
               dstAddress[0] = 0xfe;
               dstAddress[1] = 0x80;
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
           else if ( encoding.GetDam () == SixLowPanIphc::HC_COMPR_16 )
             {
@@ -1538,11 +1538,11 @@
               dstAddress[1] = 0x80;
               dstAddress[11] = 0xff;
               dstAddress[12] = 0xfe;
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
           else // SixLowPanIphc::HC_COMPR_0
             {
-              ipHeader.SetDestinationAddress (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (dst));
+              ipHeader.SetDestination (Ipv6Address::MakeAutoconfiguredLinkLocalAddress (dst));
             }
          }
       else
@@ -1552,7 +1552,7 @@
             {
               uint8_t dstAddress[16] = { };
               memcpy (dstAddress, encoding.GetDstInlinePart (), 16);
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
           else if ( encoding.GetDam () == SixLowPanIphc::HC_COMPR_64 )
             {
@@ -1560,7 +1560,7 @@
               dstAddress[0] = 0xff;
               memcpy (dstAddress +1, encoding.GetDstInlinePart (), 1);
               memcpy (dstAddress +11, encoding.GetDstInlinePart ()+1, 5);
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
           else if ( encoding.GetDam () == SixLowPanIphc::HC_COMPR_16 )
             {
@@ -1568,7 +1568,7 @@
               dstAddress[0] = 0xff;
               memcpy (dstAddress +1, encoding.GetDstInlinePart (), 1);
               memcpy (dstAddress +13, encoding.GetDstInlinePart ()+1, 3);
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
           else // SixLowPanIphc::HC_COMPR_0
             {
@@ -1576,7 +1576,7 @@
               dstAddress[0] = 0xff;
               dstAddress[1] = 0x02;
               memcpy (dstAddress+15, encoding.GetDstInlinePart (), 1);
-              ipHeader.SetDestinationAddress ( Ipv6Address::Deserialize (dstAddress) );
+              ipHeader.SetDestination ( Ipv6Address::Deserialize (dstAddress) );
             }
         }
     }
@@ -1621,11 +1621,11 @@
       if (dispatchVal == SixLowPanDispatch::LOWPAN_UDPNHC)
         {
           ipHeader.SetNextHeader (Ipv6Header::IPV6_UDP);
-          DecompressLowPanUdpNhc (packet, ipHeader.GetSourceAddress (), ipHeader.GetDestinationAddress ());
+          DecompressLowPanUdpNhc (packet, ipHeader.GetSource (), ipHeader.GetDestination ());
         }
       else
         {
-          std::pair <uint8_t, bool> retval = DecompressLowPanNhc (packet, src, dst, ipHeader.GetSourceAddress (), ipHeader.GetDestinationAddress ());
+          std::pair <uint8_t, bool> retval = DecompressLowPanNhc (packet, src, dst, ipHeader.GetSource (), ipHeader.GetDestination ());
           if ( retval.second == true )
             {
               return true;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc ns-3.35/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc
--- ns-3.34/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2021-10-01 13:26:48.000000000 -0700
@@ -154,8 +154,8 @@
 {
   Ptr<Packet> pkt = Create<Packet> (10);
   Ipv6Header ipHdr;
-  ipHdr.SetSourceAddress (from);
-  ipHdr.SetDestinationAddress (to);
+  ipHdr.SetSource (from);
+  ipHdr.SetDestination (to);
   ipHdr.SetHopLimit (64);
   ipHdr.SetPayloadLength (10);
   ipHdr.SetNextHeader (0xff);
@@ -261,8 +261,8 @@
 
   // first packet received, expected :: -> dstElided
   m_rxPackets[0].packet->RemoveHeader (ipv6Hdr);
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSourceAddress (), Ipv6Address::GetAny (), "Src address wrongly rebuilt");
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestinationAddress (), dstElided, "Dst address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSource (), Ipv6Address::GetAny (), "Src address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestination (), dstElided, "Dst address wrongly rebuilt");
 
   // second packet sent, expected CID(1) SAC(1) SAM (1) M(0) DAC(1) DAM (2)
   m_txPackets[1].packet->RemoveHeader (iphcHdr);
@@ -277,8 +277,8 @@
 
   // second packet received, expected 2001:2::f00d:f00d:cafe:cafe -> 2001:1::0000:00ff:fe00:cafe
   m_rxPackets[1].packet->RemoveHeader (ipv6Hdr);
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSourceAddress (), Ipv6Address ("2001:2::f00d:f00d:cafe:cafe"), "Src address wrongly rebuilt");
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestinationAddress (), Ipv6Address ("2001:1::0000:00ff:fe00:cafe"), "Dst address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSource (), Ipv6Address ("2001:2::f00d:f00d:cafe:cafe"), "Src address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestination (), Ipv6Address ("2001:1::0000:00ff:fe00:cafe"), "Dst address wrongly rebuilt");
 
   // third packet sent, expected CID(17) SAC(1) SAM (2) M(0) DAC(1) DAM (1)
   m_txPackets[2].packet->RemoveHeader (iphcHdr);
@@ -293,8 +293,8 @@
 
   // third packet received, expected 2001:1::0000:00ff:fe00:cafe -> 2001:1::f00d:f00d:cafe:cafe
   m_rxPackets[2].packet->RemoveHeader (ipv6Hdr);
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSourceAddress (), Ipv6Address ("2001:1::0000:00ff:fe00:cafe"), "Src address wrongly rebuilt");
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestinationAddress (), Ipv6Address ("2001:1::f00d:f00d:cafe:cafe"), "Dst address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSource (), Ipv6Address ("2001:1::0000:00ff:fe00:cafe"), "Src address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestination (), Ipv6Address ("2001:1::f00d:f00d:cafe:cafe"), "Dst address wrongly rebuilt");
 
   // fourth packet sent, expected CID(1) SAC(1) SAM (3) M(0) DAC(1) DAM (1)
   m_txPackets[3].packet->RemoveHeader (iphcHdr);
@@ -309,8 +309,8 @@
 
   // fourth packet received, expected srcElided -> 2001:1::f00d:f00d:cafe:cafe
   m_rxPackets[3].packet->RemoveHeader (ipv6Hdr);
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSourceAddress (), srcElided, "Src address wrongly rebuilt");
-  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestinationAddress (), Ipv6Address ("2001:1::f00d:f00d:cafe:cafe"), "Dst address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetSource (), srcElided, "Src address wrongly rebuilt");
+  NS_TEST_EXPECT_MSG_EQ (ipv6Hdr.GetDestination (), Ipv6Address ("2001:1::f00d:f00d:cafe:cafe"), "Dst address wrongly rebuilt");
 
   m_rxPackets.clear ();
   m_txPackets.clear ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/spectrum/bindings/modulegen__gcc_ILP32.py ns-3.35/src/spectrum/bindings/modulegen__gcc_ILP32.py
--- ns-3.34/src/spectrum/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/spectrum/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:48.000000000 -0700
@@ -662,7 +662,7 @@
     module.add_container('std::vector< std::pair< unsigned int, unsigned int > >', 'std::pair< unsigned int, unsigned int >', container_type='vector')
     module.add_container('std::vector< std::complex< double > >', 'std::complex< double >', container_type='vector')
     module.add_container('ns3::PhasedArrayModel::ComplexVector', 'std::complex< double >', container_type='vector')
-    module.add_container('ns3::Bands', 'ns3::BandInfo', container_type='vector')
+    module.add_container('std::vector< ns3::BandInfo >', 'ns3::BandInfo', container_type='vector')
     module.add_container('std::vector< std::vector< double > >', 'std::vector< double >', container_type='vector')
     module.add_container('std::vector< std::vector< std::vector< double > > >', 'std::vector< std::vector< double > >', container_type='vector')
     module.add_container('std::vector< std::vector< std::complex< double > > >', 'std::vector< std::complex< double > >', container_type='vector')
@@ -2041,11 +2041,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2150,11 +2145,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2271,11 +2261,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2468,11 +2453,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -4043,6 +4023,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector2D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector2D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector2D::y [variable]
@@ -4070,6 +4055,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector3D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector3D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector3D::y [variable]
@@ -4201,6 +4191,11 @@
                    'double', 
                    [param('double', 'dbm')], 
                    is_static=True)
+    ## wifi-spectrum-value-helper.h (module 'spectrum'): static double ns3::WifiSpectrumValueHelper::GetBandPowerW(ns3::Ptr<ns3::SpectrumValue> psd, ns3::WifiSpectrumBand const & band) [member function]
+    cls.add_method('GetBandPowerW', 
+                   'double', 
+                   [param('ns3::Ptr< ns3::SpectrumValue >', 'psd'), param('ns3::WifiSpectrumBand const &', 'band')], 
+                   is_static=True)
     ## wifi-spectrum-value-helper.h (module 'spectrum'): static ns3::Ptr<ns3::SpectrumModel> ns3::WifiSpectrumValueHelper::GetSpectrumModel(uint32_t centerFrequency, uint16_t channelWidth, uint32_t bandBandwidth, uint16_t guardBandwidth) [member function]
     cls.add_method('GetSpectrumModel', 
                    'ns3::Ptr< ns3::SpectrumModel >', 
@@ -4988,10 +4983,10 @@
     cls.add_binary_comparison_operator('==')
     ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::SpectrumModel const & arg0) [constructor]
     cls.add_constructor([param('ns3::SpectrumModel const &', 'arg0')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > centerFreqs) [constructor]
-    cls.add_constructor([param('std::vector< double >', 'centerFreqs')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands bands) [constructor]
-    cls.add_constructor([param('ns3::Bands', 'bands')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > const & centerFreqs) [constructor]
+    cls.add_constructor([param('std::vector< double > const &', 'centerFreqs')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands const & bands) [constructor]
+    cls.add_constructor([param('ns3::Bands const &', 'bands')])
     ## spectrum-model.h (module 'spectrum'): std::vector<ns3::BandInfo, std::allocator<ns3::BandInfo> >::const_iterator ns3::SpectrumModel::Begin() const [member function]
     cls.add_method('Begin', 
                    'std::vector< ns3::BandInfo > const_iterator', 
@@ -7445,6 +7440,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True)
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::GetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('GetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True)
     ## mobility-model.h (module 'mobility'): double ns3::MobilityModel::GetRelativeSpeed(ns3::Ptr<const ns3::MobilityModel> other) const [member function]
     cls.add_method('GetRelativeSpeed', 
                    'double', 
@@ -7479,6 +7479,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True, is_pure_virtual=True, is_virtual=True, visibility='private')
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('DoGetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True, is_virtual=True, visibility='private')
     ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetVelocity() const [member function]
     cls.add_method('DoGetVelocity', 
                    'ns3::Vector', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/spectrum/bindings/modulegen__gcc_LP64.py ns-3.35/src/spectrum/bindings/modulegen__gcc_LP64.py
--- ns-3.34/src/spectrum/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/spectrum/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:48.000000000 -0700
@@ -662,7 +662,7 @@
     module.add_container('std::vector< std::pair< unsigned int, unsigned int > >', 'std::pair< unsigned int, unsigned int >', container_type='vector')
     module.add_container('std::vector< std::complex< double > >', 'std::complex< double >', container_type='vector')
     module.add_container('ns3::PhasedArrayModel::ComplexVector', 'std::complex< double >', container_type='vector')
-    module.add_container('ns3::Bands', 'ns3::BandInfo', container_type='vector')
+    module.add_container('std::vector< ns3::BandInfo >', 'ns3::BandInfo', container_type='vector')
     module.add_container('std::vector< std::vector< double > >', 'std::vector< double >', container_type='vector')
     module.add_container('std::vector< std::vector< std::vector< double > > >', 'std::vector< std::vector< double > >', container_type='vector')
     module.add_container('std::vector< std::vector< std::complex< double > > >', 'std::vector< std::complex< double > >', container_type='vector')
@@ -2041,11 +2041,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2150,11 +2145,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2271,11 +2261,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2468,11 +2453,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -4043,6 +4023,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector2D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector2D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector2D::y [variable]
@@ -4070,6 +4055,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector3D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector3D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector3D::y [variable]
@@ -4201,6 +4191,11 @@
                    'double', 
                    [param('double', 'dbm')], 
                    is_static=True)
+    ## wifi-spectrum-value-helper.h (module 'spectrum'): static double ns3::WifiSpectrumValueHelper::GetBandPowerW(ns3::Ptr<ns3::SpectrumValue> psd, ns3::WifiSpectrumBand const & band) [member function]
+    cls.add_method('GetBandPowerW', 
+                   'double', 
+                   [param('ns3::Ptr< ns3::SpectrumValue >', 'psd'), param('ns3::WifiSpectrumBand const &', 'band')], 
+                   is_static=True)
     ## wifi-spectrum-value-helper.h (module 'spectrum'): static ns3::Ptr<ns3::SpectrumModel> ns3::WifiSpectrumValueHelper::GetSpectrumModel(uint32_t centerFrequency, uint16_t channelWidth, uint32_t bandBandwidth, uint16_t guardBandwidth) [member function]
     cls.add_method('GetSpectrumModel', 
                    'ns3::Ptr< ns3::SpectrumModel >', 
@@ -4988,10 +4983,10 @@
     cls.add_binary_comparison_operator('==')
     ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::SpectrumModel const & arg0) [constructor]
     cls.add_constructor([param('ns3::SpectrumModel const &', 'arg0')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > centerFreqs) [constructor]
-    cls.add_constructor([param('std::vector< double >', 'centerFreqs')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands bands) [constructor]
-    cls.add_constructor([param('ns3::Bands', 'bands')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > const & centerFreqs) [constructor]
+    cls.add_constructor([param('std::vector< double > const &', 'centerFreqs')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands const & bands) [constructor]
+    cls.add_constructor([param('ns3::Bands const &', 'bands')])
     ## spectrum-model.h (module 'spectrum'): std::vector<ns3::BandInfo, std::allocator<ns3::BandInfo> >::const_iterator ns3::SpectrumModel::Begin() const [member function]
     cls.add_method('Begin', 
                    'std::vector< ns3::BandInfo > const_iterator', 
@@ -7445,6 +7440,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True)
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::GetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('GetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True)
     ## mobility-model.h (module 'mobility'): double ns3::MobilityModel::GetRelativeSpeed(ns3::Ptr<const ns3::MobilityModel> other) const [member function]
     cls.add_method('GetRelativeSpeed', 
                    'double', 
@@ -7479,6 +7479,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True, is_pure_virtual=True, is_virtual=True, visibility='private')
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('DoGetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True, is_virtual=True, visibility='private')
     ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetVelocity() const [member function]
     cls.add_method('DoGetVelocity', 
                    'ns3::Vector', 
